<?php
use LabBase\Model\Brand;
use LabBase\Model\User;

/** @var User $user */
$user = $this->sessionInfo()->getLoggedInUser();

// Currently visited brand
$brand = null;
// Aliases for easy access
$brandName = null;
$brandUrl = null;

// When user is logged it and has avatar:
$userAvatarUrl = null;


// brandName/brandUrl/brand
if(($this->BrandName && $this->BrandUrl) || $this->Brand) { // Passed from controller?
    if($this->Brand) {
        $brandName = $this->Brand->name;
        $brandUrl = $this->Brand->url;
        $brand = $this->Brand;
    }else{
        $brandName = $this->BrandName;
        $brandUrl = $this->BrandUrl;
    }
}elseif($user) { // If not then maybe one is stuck with the user?
    // This is used for when logged in user goes to settings and is not visiting via
    // The brand page, but we still want to stick the top bar to the last visited brand
    if ($user->lastVisitedBrandId !== null) {
        /** @var Brand $brand */
        $brand = $this->sessionInfo()->getBrandById($user->lastVisitedBrandId);
        if ($brand) {
            $brandName = $brand->name;
            $brandUrl = $brand->url;
        }
    }
}

 //userAvatarUrl (can be null)
if($user) {
    $userAvatarUrl = $this->imageLinker()->getUserAvatarLinkOrDefault($user);
}

echo $this->doctype();
?>

<html lang="en">
<head>
    <meta charset="utf-8">
    <?= $this->headTitle(); ?>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="/css/bootstrap.css" rel="stylesheet">
    <link href="/style.css" rel="stylesheet">
    <link rel="stylesheet" href="http://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.4.0/css/font-awesome.min.css">
    <!-- <script src="/js/modal.js"></script>
    <script src="/js/dropdown.js"></script> -->
    <script src="/js/my.js"></script>

    <?= $this->headStyle() ?>

    <script>
        window.onGloabalJS = [];
    </script>
    <?= $this->headScript() ?>
</head>
<body class="desktop">

    <!-- Facebook and Twitter SDK -->
    <div id="fb-root"></div>
    <script>
        // Facebook:
        (function(d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) return;
            js = d.createElement(s); js.id = id;
            js.src = "//connect.facebook.net/en_GB/sdk.js#xfbml=1&appId=1050501688309785&version=v2.0";
            fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk'));

        // Twitter:
        window.twttr = (function(d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0],
                t = window.twttr || {};
            if (d.getElementById(id)) return;
            js = d.createElement(s);
            js.id = id;
            js.src = "https://platform.twitter.com/widgets.js";
            fjs.parentNode.insertBefore(js, fjs);

            t._e = [];
            t.ready = function(f) {
                t._e.push(f);
            };

            return t;
        }(document, "script", "twitter-wjs"));
    </script>

    <!-- Analytics -->
    <script type="text/javascript">
        // Analytics
        (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
            (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
            m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
        })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

        ga('create', 'UA-65304458-1', 'auto');
        ga('send', 'pageview');

        function getPageAnalURL() {
            var s = document.location.href.toString();
            s = s.slice(s.indexOf('//') + 2);
            return s.slice(s.indexOf('/')); // include the '/'
        }
    </script>

    <!-- For our javascript -->
    <div id="dialogBox-container"></div>

    <div class="container-fluid" style="padding: 0;">

    <!-- Outer layout body -->
    <div class="col-md-12 col-sm-12">
        <div class="head withoutSpace vertical-root-padding top-bar-container">
            <div class="top-bar">

                <div class="search-bar" algin="center">
                    <form class="form-search" method="get" id="searchForm" action="<?= $this->url('search-brands'); ?>">
                        <div class="input-append">
                            <input id="searchFormInput" type="text" class="input-medium search-query" name="q" placeholder="SEARCH A BRAND" value="" onblur="searchAutocomplete(false); searchBlur(this);" onkeyup="searchAutocomplete(this); expandSearchBox(this);" autocomplete="off" data-padded-search="1" onfocus="searchFocus(this);">
                            <a href="javascript:void(0);" onclick="if($('#searchFormInput').val().trim()) {$('#searchForm').submit();}else{$('#searchFormInput').val('').focus();}"><i class="fa fa-search" aria-hidden="true" style="color:#ccc; margin-left:-20px; margin-top:15px;"></i></a>
                        </div>
                    </form>
                </div>

                <div class="brand-name">
                    <?php if($brandName) { // Link to brand if we are on brand page ?>
                        <a href="<?= $this->url('brand', ['url' => $brandUrl]) ?>">
                            <div class="homelink-clickable-area">
                                <div class="top-homelink">
                                    <img src="/images/home_icon.png">
                                    <h1><?= $brandName ?></h1>
                                </div>
                            </div>
                        </a>
                    <?php }else{ ?>
                        <a href="<?= $this->url('homepage') ?>">
                            <div class="homelink-clickable-area">
                                <div class="top-homelink">
                                    <img class="lab_logo" src="/images/lab_logo.png">
                                </div>
                            </div>
                        </a>
                    <?php } ?>
                </div>

                <div class="right0 buttons">
                    <div class="socheader">

                        <?php if($user) { // Topbar icons - IF USER LOGGED IN ?>

                            <a class="dropdown-open" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"><img class="socimg notification-icon" src="/images/nomail.png"></a>
                            <ul class="dropdown-menu notificationsMenuPart">
                                <div class="notifications">
                                    <p class="unreadNotificationsIndicator" style="display: none">You have <span class="unreadNotificationCounter"></span> unread messages</p>
                                    <ul class="notificationMenu notificationList">
                                    <!--
                                        <li><a href="#"><span>User notification</span><span class="notSpan">3 days ago</span></a></li>
                                    -->
                                    </ul>
                                    <a href="<?= $this->url('inbox') ?>"><p class="allMessages">Read all messages</p></a>
                                </div>
                            </ul>

                            <?php if(!$userAvatarUrl) { ?>
                                <div class="miniBlueBox letter-avatar">
                                <a href="#" class="dropdown-toggle dropdown-hook initials" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"><?= $user->getAvatarInitials() ?></a>
                            <?php }else{ ?>
                                <div class="miniBlueBox image-avatar" style="background-image: url('<?= $userAvatarUrl ?>');" >
                                <a href="#" class="dropdown-toggle dropdown-hook" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false">X</a>
                            <?php } ?>
                            <?php if(false) { ?> </div> <?php } // IDE fix ?>

                                <ul class="dropdown-menu">
                                    <div class="profileOptions">
                                        <p class="user-name"><?= $user->fullName ?></p>
                                        <ul class="userMenu">
                                            <li><a href="<?= $this->url('not-implemented') ?>"><i class="fa fa-suitcase" aria-hidden="true"></i><span>Become a Professional</span></a></li>
                                            <li><a href="<?= $this->url('sign-up') ?>"><i class="fa fa-plus" aria-hidden="true"></i><span>Register new Brand</span></a></li>
                                            <li><a href="<?= $this->url('my-brand') ?>"><span class="glyphicon glyphicon-align-left" aria-hidden="true"></span><span>Manage my Brand</span></a></li>
                                            <li><a href="<?= $this->url('user-settings') ?>"><i class="fa fa-cog" aria-hidden="true"></i><span>Account Settings</span></a></li>
                                            <?php if($brand) { ?>
                                            <li>
                                                <!--<a href="<?//= $this->url('drafts') ?>">-->
                                                <a href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'drafts']) ?>">
                                                    <i class="fa fa-download" aria-hidden="true"></i>
                                                    <span>Saved Drafts</span>
                                                    <span class="badge"><?php echo $this->totalDrafts; ?></span>
                                                </a>
                                            </li>
                                            <?php }  if($user->isAdmin()) { ?>
                                                <li><a href="<?= $this->url('admin-panel') ?>"><i class="fa fa-cog" aria-hidden="true"></i><span>Admin Panel</span></a></li>
                                            <?php } ?>
                                            <li><a href="<?= $this->url('sign-out', ['sessionId' => $user->sessionId]) ?>"><i class="fa fa-sign-out" aria-hidden="true"></i><span>Sign Out</span></a></li>
                                        </ul>

                                    </div>
                                </ul>
                            </div>

                        <?php }else{ // Topbar icons - IF USER NOT LOGGED IN ?>

                            <?php
                            /** @var \Zend\Mvc\Router\RouteMatch $routeMatch */
                            $routeMatch = $this->getHelperPluginManager()->getServiceLocator()->get('Application')->getMvcEvent()->getRouteMatch();
                            $routeName = $routeMatch->getMatchedRouteName();
                            ?>

                            <?php if($routeName != 'sign-up') { ?><a href="<?= $this->url('sign-up') ?>" class="sign-in pull-right">Sign Up</a> <?php } ?>
                            <?php if($routeName != 'sign-in') { ?><a href="<?= $this->url('sign-in') ?>" class="sign-in pull-right">Sign In</a> <?php } ?>

                        <?php } // End of topbar icons ?>

                    </div>
                </div>

                <div class="clear"></div>
            </div>
        </div>
    </div>


    <noscript>
        <div class="col-md-12 col-sm-12">
            <div class="footer">
                <div class="lb1-inside">
                    This website requires JavaScript for proper functionality.
                    Please re-enable JavaScript.
                </div>
            </div>
        </div>
    </noscript>

    <div class="content-wrapper">
    <!-- Content start -->

    <?= $this->content; ?>

    <!-- Content end -->
    </div>

    <div class="col-md-12 col-sm-12">
        <div class="footer">
            <div class="lb1-inside">
                <ul>
                    <li><a href="<?= $this->url('discovery') ?>"><span>Featured Brands</span></a></li>
                    <li><a href="#"><span>Inside Love a Brand Terms</span></a></li>
                    <li><a href="#"><span>Contact Us</span></a></li>
                    <li class="noSpace"><a href="#"><span>Help</span></a></li>
                </ul>
            </div>
        </div>
    </div>



    </div>

    <span id="searchAutocompleteDropdown" class="raw dropdownMenu">
    <div id="searchAutocompleteLinkContainer">
        <i>No results found</i>
    </div>
</span>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="/js/hideit.js"></script>
    <script src="/js/bootstrap.js"></script>
    <script src="/js/global.js"></script>

    <?= $this->inlineScript() ?>

</body>

</html>